#ifndef __sky_modelH__
#define __sky_modelH__

#include <string>
#include <vector>
#include "camera.h"

class cSkyModel
{
public:
	cSkyModel(IDirect3DDevice9* device, Camera* TheCamera);
	~cSkyModel();
	
	bool CreateCube( char *Texturename );
	bool render(bool wireframe);



private:
	
	IDirect3DDevice9*				Device;
	D3DXMATRIX						_world;
	
	
	IDirect3DVertexBuffer9*			_vb;
	IDirect3DIndexBuffer9*			_ib;
	// Effect
	IDirect3DTexture9*				_bgtexture;	// 
	Camera*							_TheCamera;
	ID3DXEffect*					_SkyBoxEffect;
	D3DXHANDLE						_WorldViewProjHandle;
	D3DXHANDLE						_TexHandle;
	D3DXHANDLE						_SkyBoxTechHandle;
	D3DXMATRIX						_WorldViewProj;

};




#endif //CSKYBOX_H